Bug 1157543 - Application icon is too small to be used in the software center
Summary: Application icon is too small to be used in the software center
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hex-a-hop
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-27 10:57 UTC by Richard Hughes
Modified: 2015-01-13 00:01 UTC (History)
1 user (show)

Fixed In Version: hex-a-hop-1.2.0-git20140926.1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-13 00:01:53 UTC


Attachments (Terms of Use)

Description Richard Hughes 2014-10-27 10:57:51 UTC
Description of problem:

In Fedora 21 we show any valid application in the software center with an application icon of 32x32 or larger. Currently a 32x32 icon has to be padded with 16 pixels of whitespace on all 4 edges, and *also* has to be scaled x2 to match other UI elements on HiDPI screens.

This looks fuzzy, out of alignment and lowers the quality of an otherwise beautiful installing experience. For Fedora 22 we are planning to increase the minimum icon size to 48x48, with recommended installed sizes of 24x24, 48x48, 64x64 and 256x256 (or SVG).

Modern desktop applications typically ship multiple sizes of icons in known locations, and it's very much the minority of packages in Fedora (69 out of 1042) that only ship such small icons.

I'm asking package maintainers to install a larger icon than 32x32 in the Fedora package. Most of the time this will involve just installing a different icon from the tarball, but could also mean contacting upstream and asking them for larger icons and a new tarball release.

If you're asking upstream, please ask for a 256x256 or 64x64 icon, as the latter will probably be the minimum size for F23 and beyond. If you want to fix up F20 and F21 too that would be great, but not expected.

At the end of November I'll change the minimum icon size in the AppStream generator so that applications not fixed will not be shown in the software center. You can of course install this application in F22 with dnf on the command line, but it won't be visible in the software center until they are installed manually.

Additional info:
If you're unclear on what needs to be done in order to be listed in the software center, refer to this https://github.com/hughsie/appstream-glib#what-is-an-application or comment here.

Thanks!

Richard.

Comment 1 Mario Blättermann 2014-10-27 18:36:47 UTC
I don't use the software center (and Gnome at all), thanks for reporting this issue. I'll have a look at it next days.

First thoughts: The current v1.1 tarball is almost five years old, so I consider to use a Git snapshot. There we have a png icon with 219x219, somewhat odd, but usable after padding to 256x256. And moreover, we have already an appdata file. So it would be the best way to take the sources from Git instead to bother with the current stable version.

Comment 2 Richard Hughes 2014-10-27 19:19:36 UTC
(In reply to Mario Blättermann from comment #1)
> I don't use the software center (and Gnome at all), thanks for reporting
> this issue. I'll have a look at it next days.

Great, thanks. AppStream metadata is produced and consumed by KDE too, so it's not a GNOME-specific initiative.

> First thoughts: The current v1.1 tarball is almost five years old, so I
> consider to use a Git snapshot.

In this case perhaps that's best; could you convince upstream to make a new release in the next few months?

> There we have a png icon with 219x219,
> somewhat odd, but usable after padding to 256x256.

Right. If you don't pad it, the appstream builder will try to resize it to something sane (e.g. 128x128) but padding might be good if the logo is designed to have an alpha border.

>  And moreover, we have
> already an appdata file. So it would be the best way to take the sources
> from Git instead to bother with the current stable version.

Right, thanks.

Comment 3 Fedora Update System 2015-01-02 15:19:58 UTC
hex-a-hop-1.2.0-git20140926.1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/hex-a-hop-1.2.0-git20140926.1.fc21

Comment 4 Fedora Update System 2015-01-03 19:01:41 UTC
Package hex-a-hop-1.2.0-git20140926.1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hex-a-hop-1.2.0-git20140926.1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0056/hex-a-hop-1.2.0-git20140926.1.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-01-13 00:01:53 UTC
hex-a-hop-1.2.0-git20140926.1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.